@Telfer_Scott wrote:
I'm having some trouble getting this python script to work. In brief, in want to be able to select a subset of grip points from a mesh object, and move them all so their z coordinate = 0 (either manually or automatically). I've tried a number of variations but can't seem to get the right way to give the selected grips to the _SetPt command. Any ideas? Thanks in advance.
import rhinoscriptsyntax as rs # Select grips grips = rs.GetObjects("Choose points to move", filter=16384) # Edit selected points setpts = ("-_SetPt " + "selid " + str(grips) + "_Enter " + " _XSet=_No _Enter " + " YSet=_No _Enter " + " ZSet=_Yes _Enter" + " Alignment=_World _ Enter ") rs.Command(setpts)
Posts: 3
Participants: 2